Ticket #41389

ゲーム内ヘルプを上方向にスクロールすると見出しが二重になる

Open Date: 2021-01-31 06:55 Last Update: 2021-02-05 23:04

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

?aa↓↑で再現。 こんな感じになります。(*****の直後の行が二重になる?)

ります。それはダンジョン奥深くに潜んでいる偉大なる混沌のサーペントを倒
すのに充分な力を得るためであると言えます。                            
                                                                      
                                                                      
=== 始めに行くべき所 ===                                              
=== 始めに行くべき所 ===                                              
                                                                      
プレイヤーの冒険は町から始まります。そこで様々な店主との売り買いを通じ

Ticket History (3/4 Histories)

2021-01-31 06:55 Updated by: daradarach
  • New Ticket "ゲーム内ヘルプを上方向にスクロールすると見出しが二重になる" created
2021-01-31 10:04 Updated by: deskull
2021-02-01 01:21 Updated by: taotao
Comment

show-file.c を読んでみたところ、変数のスコープを狭めすぎてしまっているのが原因のようでした。

とりあえず本件の修正コードを置いておきます: https://osdn.net/users/taotao/pf/hengband/scm/commits/da1989d3147c21339e86a492221e31224425e243

同じような理由でヘルプ表示時の検索文字列の強調表示も効かなくなっていました。修正コード: https://osdn.net/users/taotao/pf/hengband/scm/commits/21c08fd4dc58f264ac57929fb9fe778ab1a4e5c1

2021-02-05 23:04 Updated by: deskull
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

https://osdn.net/projects/hengband/scm/git/hengband/commits/13e282f3aae2b3f29a398170c261de73adc4f8ea マージで治ったことを確認しました。ありがとうございます。チケット閉じます。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login